from Funcionario import Funcionario
from Data import Data

class Serv(Funcionario):
    def __init__(self, serv = 0):
        if type(serv) is serv:
            self.nome = serv.nome
            self.idade = serv.idade
            self.sexo = serv.sexo
            self.salario = serv.salario
            self.matrFun = serv.matrEst
            self.entrFun.copia(serv.entrEst)
            self.terc = serv.terc
        else:
            self.nome = ""
            self.idade = 0
            self.sexo = ''
            self.salario = 0.0
            self.matrFun = 0
            self.entrFun = Data("00/00/0000")
            self.terc = ''

    def retornaTerc(self):
        return self.terc

    def atualizaTerc(self, terc):
        self.terc = terc

    def retornaMaiorMat(self):
        return self.matrFun

    def leitura(self, linhas, numPrimLinha):
        self.nome = linhas[numPrimLinha]
        self.idade = int(linhas[(numPrimLinha+1)])
        self.sexo = linhas[(numPrimLinha+2)]
        self.matrFun = int(linhas[(numPrimLinha+3)])
        self.entrFun = Data(linhas[(numPrimLinha+4)])
        self.salario = float(linhas[(numPrimLinha+5)])
        self.terc = linhas[(numPrimLinha+6)]
        return (numPrimLinha+7)

    def apresenta(self):
        print("\n Nome: " + self.nome)
        print(" Idade: " + str(self.idade))
        print(" Sexo: " + self.sexo)
        print(" Salario: " + str(self.salario))
        print(" Matricula de Funcionario: " + str(self.matrFun) )
        print(" Data de Entrada como Funcionario: " + self.entrFun.retornaData())
        print(" Terceirizacao: "+ self.terc )