from Data import Data
from MembroUni import MembroUni
from abc import ABCMeta, abstractmethod

class Estudante( MembroUni, metaclass=ABCMeta):
    def __init__(self, curso = "", data = "00/00/0000", matr = 0, cr = 0.0):
        self.curso = curso
        self.entrEst = Data(data)
        self.matrEst = matr
        self.cr = cr

    def retornaCurso(self):
        return self.curso

    def atualizaCurso(self, curso):
        self.curso = curso

    def retornaMatrEst(self):
        return self.matrEst

    def atualizaMatrEst(self, matr):
        self.matrEst = matr

    def atualizaDataEntrEst(self, data):
        self.entrEst.copia(data)

    def retornaDataEntrEst(self):
        return self.entrEst

    def atualizaCR(self, cr):
        self.cr = cr

    def retornaCR(self):
        return self.cr

    @abstractmethod
    def leitura(self, linhas, numPrimLinha): pass
    @abstractmethod
    def apresenta(self): pass


def comparaEst(self, other):
    if self.cr < other.cr:
        return True
    elif self.cr > other.cr:
        return False
    else:
        if self.matrEst < other.matrEst:
            return True
        else:
            return False
