from Data import Data
from MembroUni import MembroUni
from abc import ABCMeta, abstractmethod

class Funcionario( MembroUni, metaclass=ABCMeta):
    def __init__(self, curso = "", data = "00/00/0000", matr = 0, salario = 0.0):
        self.entrFun = Data(data)
        self.matrFun = matr
        self.salario = salario

    def retornaMatrFun(self):
        return self.matrFun

    def atualizaMatrFun(self, matr):
        self.matrFun = matr

    def atualizaDataEntrFun(self, data):
        self.entrFun.copia(data)

    def retornaDataEntrFun(self):
        return self.entrFun

    def atualizaSalario(self, salario):
        self.salario = salario

    def retornaDataEntrEst(self):
        return self.salario

    @abstractmethod
    def leitura(self, linhas, numPrimLinha): pass
    @abstractmethod
    def apresenta(self): pass

def comparaFun(self, other):
    if self.salario < other.salario:
        return True
    elif self.salario > other.salario:
        return False
    else:
        if self.matrFun < other.matrFun:
            return True
        else:
            return False
