from Estudante import Estudante
from Data import Data

class Grad(Estudante):
    def __init__(self, grad = 0):
        if type(grad) is Grad:
            self.nome = grad.nome
            self.idade = grad.idade
            self.sexo = grad.sexo
            self.curso = grad.curso
            self.cr = grad.cr
            self.matrEst = grad.matrEst
            self.entrEst.copia(grad.entrEst)
            self.pontVest = grad.pontVest
        else:
            self.nome = ""
            self.idade = 0
            self.sexo = ''
            self.curso = ""
            self.cr = 0.0
            self.matrEst = 0
            self.entrEst = Data("00/00/0000")
            self.pontVest = 0.0

    def retornaPontVest(self):
        return self.pontVest

    def atualizaPontVest(self, pontVest):
        self.pontVest = pontVest

    def retornaMaiorMat(self):
        return self.matrEst

    def leitura(self, linhas, numPrimLinha):
        self.nome = linhas[numPrimLinha]
        self.idade = int(linhas[(numPrimLinha+1)])
        self.sexo = linhas[(numPrimLinha+2)]
        self.matrEst = int(linhas[(numPrimLinha+3)])
        self.entrEst = Data(linhas[(numPrimLinha+4)])
        self.curso = linhas[(numPrimLinha+5)]
        self.cr = float(linhas[(numPrimLinha+6)])
        self.pontVest = float(linhas[(numPrimLinha+7)])
        return (numPrimLinha+8)

    def apresenta(self):
        print("\n Nome: " + self.nome)
        print(" Idade: " + str(self.idade))
        print(" Sexo: " + self.sexo)
        print(" Curso: " + self.curso)
        print(" Coeficiente de Rendimento: " + str(self.cr))
        print(" Matricula de Estudante: " + str(self.matrEst) )
        print(" Data de Entrada como Estudante: " + self.entrEst.retornaData())
        print(" Pontuacao no Vestibular: "+ str(self.pontVest) )
