from Estudante import Estudante
from Data import Data

class PosGrad(Estudante):
    def __init__(self, posgrad = 0):
        if type(posgrad) is PosGrad:
            self.nome = posgrad.nome
            self.idade = posgrad.idade
            self.sexo = posgrad.sexo
            self.curso = posgrad.curso
            self.cr = posgrad.cr
            self.matrEst = posgrad.matrEst
            self.entrEst.copia(posgrad.entrEst)
            self.cursoForm = posgrad.cursoForm
        else:
            self.nome = ""
            self.idade = 0
            self.sexo = ''
            self.curso = ""
            self.cr = 0.0
            self.matrEst = 0
            self.entrEst = Data("00/00/0000")
            self.cursoForm = 0.0

    def retornaCursoForm(self):
        return self.cursoForm

    def atualizaCursoForm(self, cursoForm):
        self.cursoForm = cursoForm

    def retornaMaiorMat(self):
        return self.matrEst

    def leitura(self, linhas, numPrimLinha):
        self.nome = linhas[numPrimLinha]
        self.idade = int(linhas[(numPrimLinha+1)])
        self.sexo = linhas[(numPrimLinha+2)]
        self.matrEst = int(linhas[(numPrimLinha+3)])
        self.entrEst = Data(linhas[(numPrimLinha+4)])
        self.curso = linhas[(numPrimLinha+5)]
        self.cr = float(linhas[(numPrimLinha+6)])
        self.cursoForm = linhas[(numPrimLinha+7)]
        return (numPrimLinha+8)

    def apresenta(self):
        print("\n Nome: " + self.nome)
        print(" Idade: " + str(self.idade))
        print(" Sexo: " + self.sexo)
        print(" Curso: " + self.curso)
        print(" Coeficiente de Rendimento: " + str(self.cr))
        print(" Matricula de Estudante: " + str(self.matrEst) )
        print(" Data de Entrada como Estudante: " + self.entrEst.retornaData())
        print(" Curso de Formacao: "+ str(self.cursoForm) )

def comparaPos(self, other):
    if self.idade < other.idade:
         return True
    elif self.idade > other.idade:
            return False
    else:
        if self.matrEst < other.matrEst:
            return True
        elif self.matrEst > other.matrEst:
            return False