from Funcionario import Funcionario
from Data import Data

class Prof(Funcionario):
    def __init__(self, prof = 0):
        if type(prof) is prof:
            self.nome = prof.nome
            self.idade = prof.idade
            self.sexo = prof.sexo
            self.salario = prof.salario
            self.matrFun = prof.matrEst
            self.entrFun.copia(prof.entrEst)
            self.regime = prof.regime
        else:
            self.nome = ""
            self.idade = 0
            self.sexo = ''
            self.salario = 0.0
            self.matrFun = 0
            self.entrFun = Data("00/00/0000")
            self.regime = ""

    def retornaRegime(self):
        return self.regime

    def atualizaRegime(self, regime):
        self.regime = regime

    def retornaMaiorMat(self):
        return self.matrFun

    def leitura(self, linhas, numPrimLinha):
        self.nome = linhas[numPrimLinha]
        self.idade = int(linhas[(numPrimLinha+1)])
        self.sexo = linhas[(numPrimLinha+2)]
        self.matrFun = int(linhas[(numPrimLinha+3)])
        self.entrFun = Data(linhas[(numPrimLinha+4)])
        self.salario = float(linhas[(numPrimLinha+5)])
        self.regime = linhas[(numPrimLinha+6)]
        return (numPrimLinha+7)

    def apresenta(self):
        print("\n Nome: " + self.nome)
        print(" Idade: " + str(self.idade))
        print(" Sexo: " + self.sexo)
        print(" Salario: " + str(self.salario))
        print(" Matricula de Funcionario: " + str(self.matrFun) )
        print(" Data de Entrada como Funcionario: " + self.entrFun.retornaData())
        print(" Regime: " + self.regime )

def comparaProf(self, other):
    if self.matrFun != 0 and other.matrFun != 0:
        return self.matrFun >= other.matrFun
    elif self.matrFun != 0:
        return True
    else:
        return False